## visitors 0.4a

=== Makefile ===
# Makefile for visitors
# Copyright (C) 2004 Salvatore Sanfilippo <antirez@invece.org>
# All Rights Reserved
# Under the GPL license version 2

DEBUG?= -g
CFLAGS?= -O2 -Wall -W
CCOPT= $(CFLAGS)

OBJ = visitors.o aht.o antigetopt.o tail.o
PRGNAME = visitors

all: visitors

visitors: $(OBJ)
	$(CC) -o $(PRGNAME) $(CCOPT) $(DEBUG) $(OBJ)

.c.o:
	$(CC) -c $(CCOPT) $(DEBUG) $(COMPILE_TIME) $<

clean:
	rm -rf $(PRGNAME) *.o

## visitors 0.7

=== Makefile ===
--- 
+++ 
@@ -12,6 +12,7 @@
 
 all: visitors
 
+visitors.o: visitors.c blacklist.h
 visitors: $(OBJ)
 	$(CC) -o $(PRGNAME) $(CCOPT) $(DEBUG) $(OBJ)

=== debian/changelog ===
visitors (0.7-9) unstable; urgency=low

  * Make build system pay attention to CPPFLAGS and LDFLAGS, bug report
    and patch by Simon Ruderich <simon@ruderich.org> (closes: #665486).
  * Bump Standards-Versions to 3.9.3.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 25 Mar 2012 21:43:51 +0200

visitors (0.7-8) unstable; urgency=low

  * Switch to debhelper compat level 9.
  * Enable all hardening options.
  * Pass CFLAGS via DEB_CFLAGS_MAINT_APPEND.
  * Bump Standards-Versions to 3.9.2.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 18 Dec 2011 15:12:53 +0100

visitors (0.7-7) unstable; urgency=low

  * Switch to 3.0 (quilt) source format:
    + Drop build-depends on quilt.
    + Remove patch/unpatch logic from debian/rules.
    + Remove README.source.
    + Refresh all patches.
  * Use dh(1):
    + debian/compat: Bump to 7.
    + debian/control: Build-depend on debhelper (>= 7.0.50~).
    + debian/rules: Simplify.
    + debian/visitors.{install,manpages}: New files.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 08 Nov 2009 14:02:08 +0100

visitors (0.7-6) unstable; urgency=low

  * debian/control:
    + Add depends on ${misc:Depends}.
    + Bump Standards-Version to 3.8.3; no changes needed.
  * Add debian/README.source.
  * debian/patches/browsers-update.diff: Update with more browsers,
    contributed by Guido Günther <agx@sigxcpu.org> (closes: #548748).

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 04 Oct 2009 15:11:33 +0200

visitors (0.7-5) unstable; urgency=low

  * debian/copyright: Clarify applicable GPL version.
  * debian/control: Bump Standards-Version to 3.8.2; no changes needed.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 21 Jun 2009 20:17:56 +0200

visitors (0.7-4) unstable; urgency=low

  * debian/patches/debian-man-fixes.diff: New patch, fixes typo in
    visitors.1, thanks to Noah Slater <nslater@bytesexual.org>
    (closes: #460515).
  * debian/patches/combined-maps.diff: New patch, adds a value tooltip in
    combined maps, thanks to Alexander Schier <alexander_schier@yahoo.de>
    (closes: #415235).
  * debian/patches/browsers-update.diff: New patch, updates the built-in
    browser list, adding MSIE 7.x.  Thanks to max <max@sbm-bio.net>.
  * debian/control: Bump Standards-Version to 3.7.3; no changes needed.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 09 Feb 2008 21:22:35 +0100

visitors (0.7-3) unstable; urgency=low

  * debian/control:
    + Add Vcs-Browser and Vcs-Git fields.
    + Move upstream URL to the Homepage field.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 04 Nov 2007 11:44:51 +0100

visitors (0.7-2) unstable; urgency=low

  * debian/control:
    + Bump Standards-Version to 3.7.2, no changes needed.
    + Build-depend on quilt, not dpatch.
    + Build-depend on debhelper (>= 5).
    + Tweak short description.
  * debian/compat: Bump to 5.
  * debian/rules: Various cleanups.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 01 Sep 2007 11:32:25 +0200

visitors (0.7-1) unstable; urgency=low

  * New upstream release:
    + The man page now correctly lists -S as shortcut for --robots
      (closes: #356401).
    + HTML is now correctly documented as the default output format in
      the man page (closes: #339594).

  * debian/rules: Don't gunzip man page.

 -- Romain Francoise <rfrancoise@debian.org>  Mon,  3 Apr 2006 19:57:59 +0200

visitors (0.6.1-1) unstable; urgency=low

  * New upstream release:
    + Text output is now split in lines to make it easier to send reports
      by email (closes: #312345).
    + The list of recognized User-Agents is now up-to-date (closes: #312346).
    + User-Agent parsing is now more robust (closes: #312347).

  * debian/control: Bump Standards-Version to 3.6.2, no changes needed.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 29 Oct 2005 16:35:23 +0200

visitors (0.5-1) unstable; urgency=low

  * New upstream release.
  * debian/visitors.1: Removed (included upstream).
  * debian/rules:
    + Update man page location in call to dh_installman.
    + gunzip man page before installing it, it's not compressed with gzip
      -9 so we can't use it as-is (Policy 12.1).

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 29 Apr 2005 19:04:20 +0200

visitors (0.4a-1) unstable; urgency=low

  * Initial release (closes: #303924).

 -- Romain Francoise <rfrancoise@debian.org>  Sat,  9 Apr 2005 20:31:28 +0200

=== debian/control ===
Source: visitors
Section: web
Priority: optional
Maintainer: Romain Francoise <rfrancoise@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1~),
               debhelper (>= 8.9.4~),
Standards-Version: 3.9.3
Homepage: http://www.hping.org/visitors/
Vcs-Browser: http://git.debian.org/?p=users/rfrancoise/visitors.git
Vcs-Git: git://git.debian.org/git/users/rfrancoise/visitors.git

Package: visitors
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: graphviz
Description: fast web server log analyzer
 Visitors is a very fast web server log analyzer designed to be run from
 the command line, with support for text or html output and real-time
 statistics generation.  It can handle most web server logs including
 Apache access logs and is very easy to use: no configuration file and
 no database are required.  It can also generate visual path analysis
 graphs using Graphviz.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -D_FILE_OFFSET_BITS=64

%:
	dh $@

override_dh_install:
	dh_install
	install -m 0644 powered-by-visitors.png \
		debian/visitors/usr/share/pixmaps/visitors.png
